Subject: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: Ihor Radchenko <[email-masked]>
Date: Thu, 05 Dec 2019 18:21:13 +0800

> Many window managers can only maximize a frame, full screen is
> something the application has to provide by herself (via <F11>, for
> example).  The missing title bar seems to indicate that your frame is
> full screen, is that right?  Does the frame then redraw when you hit
> F11 twice?  Does the problem happen with maximized frames too?

Oh. I meant maximised, not full screen. Initially, I observed the issue
with maximised emacs frames. (My title bar is located at the bottom of
the frame, not on top).

> It would be interesting to look into what the differences between the
> two are ;-)

I also tested the actual full screen (if it matters, I use Awesome WM).
The problem persists. However (!), there is also no rendering when using 
set-face-attribute in full screen.

> Could you try with a GTK (or Motif) build whether they exhibit the
> same behavior?

I have tested using both GTK and Motif. The rendering is all right with
those builds. 

Best,
Ihor

martin rudalics <[email-masked]> writes:

>  > A while ago I noticed that pop-up org-capture frames are not rendered
>  > (no buffer or mode-line text is shown, as in attached image) when the
>  > window manager forces them to be full screen (floating frames are
>  > rendered as usual).
>  >
>  > The issue seems to be triggered by the combination of
>  > maximised frame, frame-resize-pixelwise 't, custom-setting a certain
>  > default font, and loading certain colour theme.
>
> Many window managers can only maximize a frame, full screen is
> something the application has to provide by herself (via <F11>, for
> example).  The missing title bar seems to indicate that your frame is
> full screen, is that right?  Does the frame then redraw when you hit
> F11 twice?  Does the problem happen with maximized frames too?
>
>  > ;; Using this instead of custom-set-faces does not trigger the rendering problem
>  > ;; (set-face-attribute 'default nil
>  > ;; 			  :foundry "adobe"
>  > ;; 			  :family "source code pro")
>  > (custom-set-faces
>  >   '(default ((t (:foundry "adobe" :family "source code pro"))))
>  > )
>
> It would be interesting to look into what the differences between the
> two are ;-)
>
> Could you try with a GTK (or Motif) build whether they exhibit the
> same behavior?
>
> martin